/**
 *******************************************************************************
 *
 * @file user_config.h
 *
 * @brief Application configuration definition
 *
 * Copyright (C) RivieraWaves 2009-2016
 *
 *******************************************************************************
 */
 
#ifndef _USER_CONFIG_H_
#define _USER_CONFIG_H_

// <<< Use Configuration Wizard in Context Menu >>>

#define APP_DEVICE_NAME_LENGTH_MAX      (20)//(18)
extern char Sram_Device_name[APP_DEVICE_NAME_LENGTH_MAX]; 
 
 /******************************************************************************
  *############################################################################*
  * 							SYSTEM MACRO CTRL                              *
  *############################################################################*
  *****************************************************************************/
// <h>  SYSTEM MACRO CTRL
// <o>GPIO_DBG_MSG
//  <0=> OFF
//  <1=> ON
#define GPIO_DBG_MSG					           0
// <o>UART_PRINTF_EN
//  <0=> OFF
//  <1=> ON
#define UART_PRINTF_EN					         1
// <o>DEBUG_HW
//  <0=> OFF
//  <1=> ON
#define DEBUG_HW						             0
// </h>

/*******************************************************************************
 *#############################################################################*
 *								APPLICATION MACRO CTRL                         *
 *#############################################################################*
 *******************************************************************************/
// <h>  APPLICATION MACRO CTRL
// <o>Update Connection Parameter
//  <0=> OFF
//  <1=> ON
#define UPDATE_CONNENCT_PARAM  			     1

// <o>Minimum Connection Interval
//  <i>Default: 20
//  <0-65535>
#define BLE_UAPDATA_MIN_INTVALUE		     8
// <o>Maximum Connection Interval
//  <i>Default: 40
//  <0-65535>
#define BLE_UAPDATA_MAX_INTVALUE		     10
// <o>Connection Latency
//  <i>Default: 0
//  <0-65535>
#define BLE_UAPDATA_LATENCY				       0
// <o>Connection Timeout
//  <i>Default: 600
//  <0-65535>
#define BLE_UAPDATA_TIMEOUT				       600
// </h>

//设备名称
//#define APP_DFLT_DEVICE_NAME           ("BK3432-GATT")
#define APP_DFLT_DEVICE_NAME             &Sram_Device_name[0]


 //广播包UUID配置
#define APP_FFF0_ADV_DATA_UUID           "\x03\x03\xF0\xFF"
#define APP_FFF0_ADV_DATA_UUID_LEN       (4)

//扫描响应包数据
#define APP_SCNRSP_DATA                  &scan_response_data//"\x0c\x08\x42\x4B\x33\x34\x33\x32\x2D\x47\x41\x54\x54" //BK3432-GATT"
#define APP_SCNRSP_DATA_LEN              (scan_response_data[0]+1)//(13)


// <h>  ADVERTISING CONFIGURATION
// <o>Advertising channel map
//  <0x01=> 37
//  <0x02=> 38
//  <0x03=> 39
#define APP_ADV_CHMAP                    (0x07)
/// Advertising minimum interval - 100ms (160*0.625ms)
// <o>Minimum Advertising Interval
//  <i>Default: 160
//  <0-65535>
#define APP_ADV_INT_MIN                  Sram_Adv_interval //(160)
/// Advertising maximum interval - 100ms (160*0.625ms)
// <o>Maximum Advertising Interval
//  <i>Default: 160
//  <0-65535>
#define APP_ADV_INT_MAX                  Sram_Adv_interval//(160)
/// Fast advertising interval
// <o>Fast Advertising Interval
//  <i>Default: 32
//  <0-65535>
#define APP_ADV_FAST_INT                 (32)
// </h>



/*******************************************************************************
 *#############################################################################*
 *								DRIVER MACRO CTRL                              *
 *#############################################################################*
 ******************************************************************************/

//DRIVER CONFIG
// <h>  DRIVER MACRO CTRL
// <o>UART1 Switch
//  <0=> OFF
//  <1=> ON
#define UART_DRIVER						           1
// <o>UART2 Switch
//  <0=> OFF
//  <1=> ON
#define UART2_DRIVER					           1
// <o>GPIO Switch
//  <0=> OFF
//  <1=> ON
#define GPIO_DRIVER						           1
// <o>AUDIO Switch
//  <0=> OFF
//  <1=> ON
#define AUDIO_DRIVER					           0
// <o>RTC Switch
//  <0=> OFF
//  <1=> ON
#define RTC_DRIVER						           0
// <o>ADC Switch
//  <0=> OFF
//  <1=> ON
#define ADC_DRIVER						           0
// <o>I2C Switch
//  <0=> OFF
//  <1=> ON
#define I2C_DRIVER						           0
// <o>PWM Switch
//  <0=> OFF
//  <1=> ON
#define PWM_DRIVER						           0
// </h>



/*************************************************************************************
*
*  BLE Function procedure control
*
******************************************************************************************/
#define AUTO_ADV                         0

// <<< end of configuration section >>>

#endif /* _USER_CONFIG_H_ */
